{
  "groups": [
    {
      "name": "allinone.cros",
      "type": "com.weaver.allinone.boot.webmvc.CorsProperties",
      "sourceType": "com.weaver.allinone.boot.webmvc.CorsProperties"
    },
    {
      "name": "allinone.urlrewritefilter",
      "type": "com.weaver.allinone.boot.filter.UrlRewriteFilterProperties",
      "sourceType": "com.weaver.allinone.boot.filter.UrlRewriteFilterProperties"
    }
  ],
  "properties": [
    {
      "name": "allinone.cros.allow-credentials",
      "type": "java.lang.Boolean",
      "sourceType": "com.weaver.allinone.boot.webmvc.CorsProperties",
      "defaultValue": true
    },
    {
      "name": "allinone.cros.allowed-headers",
      "type": "java.lang.String[]",
      "sourceType": "com.weaver.allinone.boot.webmvc.CorsProperties",
      "defaultValue": [
        "Authorization",
        "Content-Type",
        "Accept",
        "Origin",
        "User-Agent",
        "DNT",
        "Cache-Control",
        "X-Mx-ReqToken",
        "X-Requested-With",
        "X-File-Name",
        "eteamsid",
        "application\/json-rpc",
        "tenantKey",
        "employeeId",
        "timeZone"
      ]
    },
    {
      "name": "allinone.cros.allowed-methods",
      "type": "java.lang.String[]",
      "sourceType": "com.weaver.allinone.boot.webmvc.CorsProperties",
      "defaultValue": [
        "GET",
        "POST",
        "PUT",
        "DELETE",
        "OPTIONS"
      ]
    },
    {
      "name": "allinone.cros.allowed-origins",
      "type": "java.lang.String[]",
      "sourceType": "com.weaver.allinone.boot.webmvc.CorsProperties",
      "defaultValue": [
        "*"
      ]
    },
    {
      "name": "allinone.cros.enable",
      "type": "java.lang.Boolean",
      "sourceType": "com.weaver.allinone.boot.webmvc.CorsProperties",
      "defaultValue": true
    },
    {
      "name": "allinone.cros.max-age",
      "type": "java.lang.Long",
      "sourceType": "com.weaver.allinone.boot.webmvc.CorsProperties",
      "defaultValue": 86400
    },
    {
      "name": "allinone.cros.path-pattern",
      "type": "java.lang.String",
      "sourceType": "com.weaver.allinone.boot.webmvc.CorsProperties",
      "defaultValue": "\/**"
    },
    {
      "name": "allinone.urlrewritefilter.init-parameters",
      "type": "java.util.Map<java.lang.String,java.lang.String>",
      "sourceType": "com.weaver.allinone.boot.filter.UrlRewriteFilterProperties"
    },
    {
      "name": "allinone.urlrewritefilter.url-patterns",
      "type": "java.lang.String[]",
      "sourceType": "com.weaver.allinone.boot.filter.UrlRewriteFilterProperties"
    }
  ],
  "hints": []
}